Summary:	Filesystem in Userspace
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika
Name:		libfuse3
Version:	3.16.2
Release:	1
License:	LGPL v2 (library), GPL v2 (tools)
Group:		Applications/System
#Source0Download: https://github.com/libfuse/libfuse/releases
Source0:	https://github.com/libfuse/libfuse/releases/download/fuse-%{version}/fuse-%{version}.tar.gz
# Source0-md5:	b00bf08b27ead4a9411578777e94a1cc
URL:		https://github.com/libfuse/libfuse
BuildRequires:	meson >= 0.51
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	udev-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel. FUSE also
aims to provide a secure method for non privileged users to create and
mount their own filesystem implementations.

This package contains a shared library.

%description -l pl.UTF-8
FUSE stanowi prosty interfejs dla programów działających w przestrzeni
użytkownika eksportujący wirtualny system plików do jądra Linuksa.
FUSE ma również na celu udostępnienie bezpiecznej metody tworzenia i
montowania własnych implementacji systemów plików przez zwykłych
(nieuprzywilejowanych) użytkowników.

Ten pakiet zawiera bibliotekę współdzieloną.

%package devel
Summary:	Filesystem in Userspace - Development header files
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika - pliki nagłówkowe
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libfuse3 library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libfuse3.

%package static
Summary:	Filesystem in Userspace - static library
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika - biblioteka statyczna
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libfuse3 library.

%description static -l pl.UTF-8
Statyczna biblioteka libfuse3.

%package apidocs
Summary:	API documentation for FUSE 3 library
Summary(pl.UTF-8):	Dokumentacja API biblioteki FUSE 3
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for FUSE 3 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki FUSE 3.

%package -n libfuse-common
Summary:	Common package for FUSE 2 and FUSE 3
Summary(pl.UTF-8):	Pliki wspólne dla FUSE 2 i FUSE 3
Group:		Libraries
Conflicts:	libfuse < 2.9.7-3
Conflicts:	libfuse3 < 3.2.4-2

%description -n libfuse-common
Common package for FUSE 2 and FUSE 3.

%description -n libfuse-common -l pl.UTF-8
Pliki wspólne dla FUSE 2 i FUSE 3.

%package tools
Summary:	Tools to mount FUSE 3 based filesystems
Summary(pl.UTF-8):	Narzędzia do montowania systemów plików opartych na FUSE 3
License:	GPL v2
Group:		Applications/System
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	%{name} = %{version}-%{release}
Requires:	libfuse-common = %{version}-%{release}
Requires:	mount >= 2.18
Provides:	group(fuse)

%description tools
Tools to mount FUSE 3 based filesystems.

%description tools -l pl.UTF-8
Narzędzia do montowania systemów plików opartych na FUSE 3.

%prep
%setup -q -n fuse-%{version}

%{__sed} -i '/FUSERMOUNT_PROG/s,fusermount3,%{_bindir}/fusermount3,' lib/mount.c

%build
%meson build \
	-Dinitscriptdir= \
	-Duseroot=false

%ninja_build -C build

%{?with_tests:%ninja_test -C build}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},%{_sysconfdir},/sbin}

%ninja_install -C build

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libfuse3.so.* $RPM_BUILD_ROOT/%{_lib}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfuse3.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libfuse3.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libfuse3.so

%{__mv} $RPM_BUILD_ROOT{%{_sbindir},/sbin}/mount.fuse3

# part of default udev rules nowdays
%{__rm} $RPM_BUILD_ROOT/lib/udev/rules.d/99-fuse3.rules

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%pre tools
%groupadd -g 84 fuse

%files
%defattr(644,root,root,755)
%doc README.md ChangeLog.rst AUTHORS doc/{README.NFS,fast17-vangoor.pdf,kernel.txt}
%attr(755,root,root) /%{_lib}/libfuse3.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libfuse3.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfuse3.so
%{_includedir}/fuse3
%{_pkgconfigdir}/fuse3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfuse3.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*

%files -n libfuse-common
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fuse.conf

%files tools
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/fusermount3
%attr(755,root,root) /sbin/mount.fuse3
%{_mandir}/man1/fusermount3.1*
%{_mandir}/man8/mount.fuse3.8*
%changelog
* Wed Oct 11 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfuse3.git;a=log;h=master

* Tue Oct 10 2023 Jan Palus <atler@pld-linux.org> 5de3663
- up to 3.16.2

* Tue Aug 08 2023 Jan Palus <atler@pld-linux.org> 17fa2df
- up to 3.16.1

* Fri Jun 09 2023 Jan Palus <atler@pld-linux.org> a1ffb4f
- no need to use $(pwd)/ld-dir in $PATH anymore

* Fri Jun 09 2023 Jan Palus <atler@pld-linux.org> 3bb7f3b
- up to 3.15.0

* Sun Mar 26 2023 Jan Palus <atler@pld-linux.org> e191e1a
- up to 3.14.1

* Fri Feb 17 2023 Jan Palus <atler@pld-linux.org> 1b90eec
- up to 3.14.0

* Sat Feb 04 2023 Jan Palus <atler@pld-linux.org> 94f5e46
- drop gold workaround

* Sat Feb 04 2023 Jan Palus <atler@pld-linux.org> 6f10cec
- noarch apidocs

* Sat Feb 04 2023 Jan Palus <atler@pld-linux.org> a8770ab
- up to 3.13.1

* Fri Jan 13 2023 Jan Palus <atler@pld-linux.org> 3b1f468
- BR: pkgconfig

* Fri Jan 13 2023 Jan Palus <atler@pld-linux.org> 0ac71db
- up to 3.13.0

* Mon Sep 12 2022 Jan Palus <atler@pld-linux.org> f34549a
- up to 3.12.0

* Mon May 02 2022 Jan Palus <atler@pld-linux.org> 6a3323e
- up to 3.11.0

* Mon Feb 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 5ee2062
- updated to 3.10.5

* Tue Jun 15 2021 Jan Palus <atler@pld-linux.org> 015a309
- BR: udev-devel

* Wed Jun 09 2021 Jan Palus <atler@pld-linux.org> f039187
- up to 3.10.4

* Tue Apr 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 341ce56
- removed outdated comment

* Mon Apr 12 2021 Jan Palus <atler@pld-linux.org> 14e777d
- up to 3.10.3

* Fri Feb 05 2021 Jan Palus <atler@pld-linux.org> 4e758e1
- updated deprecated meson macro

* Fri Feb 05 2021 Jan Palus <atler@pld-linux.org> ee08ab1
- up to 3.10.2

